package com.liang.service;

import com.liang.entity.BaseSpeciality;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;
import java.util.Map;

/**
 * 专业专长(BaseSpeciality)表服务接口
 *
 * @author makejava
 * @since 2023-03-27 14:55:38
 */
public interface BaseSpecialityService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    BaseSpeciality queryById(Integer id);

    /**
     * 分页查询
     *
     * @param baseSpeciality 筛选条件
     * @param pageRequest    分页对象
     * @return 查询结果
     */
    Page<BaseSpeciality> queryByPage(BaseSpeciality baseSpeciality, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param baseSpeciality 实例对象
     * @return 实例对象
     */
    BaseSpeciality insert(BaseSpeciality baseSpeciality);

    /**
     * 修改数据
     *
     * @param baseSpeciality 实例对象
     * @return 实例对象
     */
    BaseSpeciality update(BaseSpeciality baseSpeciality);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 获取专业专长
     *
     * @return
     */
    List<Map<String, String>> getSpeciality();
}
